#include <qregexp.h>

#include "docwriter.h"

DocWriter::~DocWriter()
{
}

void DocWriter::startDoc( const QString &ttl )
{
  *ts << "<html>" << endl
      << "<head>" << endl
      << "<title>" << ttl << "</title>" << endl
      << "</head>" << endl
      << "<body>" << endl
      << "<h1>" << ttl << "</h1>" << endl;
}

void DocWriter::endDoc() { *ts << "</body></html>" << endl; }

void DocWriter::startSection( const QString &heading )
{
  *ts << "<h3>" << heading << "</h3>" << endl;
}

void DocWriter::endSection() {}

void DocWriter::para( const QString &text )
{
  *ts << "<p>" << text << "</p>" << endl;
}

void DocWriter::pre( const QString &text, bool quote )
{
   QString s( text );
   if ( quote )
      s = quoteAsHTML( text );
      
  *ts << "<pre>" << s << "</pre>" << endl;
}

QString DocWriter::quoteAsHTML( const QString &in )
{
   QString s(in);
   s = s.replace( QRegExp("&"), "&amp;" );
   s = s.replace( QRegExp("<"), "&lt;" );
   s = s.replace( QRegExp("\""), "&quot;" );
   return s;
}
