// -*- c++ -*-

#ifndef DOCWRITER_H
#define DOCWRITER_H

#include <qtextstream.h>

/**
 * Utility class for writing structured documents.
 *
 * @author Richard Moore
 */
class DocWriter {
public: 
   DocWriter( QTextStream *ts ) { this->ts = ts; }
   virtual ~DocWriter();

   void startDoc( const QString &ttl );
   void endDoc();

   void startSection( const QString &heading );
   void endSection();

   void para( const QString &text );
   void pre( const QString &text, bool quote=true );

   /** Quotes the specified string for use in an HTML or XML document. */
   static QString quoteAsHTML( const QString &in );
   
private:
   QTextStream *ts;
};

#endif
