#include <qservletconfig.h>
#include <qhttpservletrequest.h>
#include <qhttpservletresponse.h>

#include "echoservlet.h"
#include "docwriter.h"

EchoServlet::EchoServlet( QServletConfig *cfg, const char *info )
   : QHttpServlet( cfg, info ? info : "Echo Servlet" )
{
}

EchoServlet::~EchoServlet()
{
}

bool EchoServlet::doGet( QHttpServletRequest *req, QHttpServletResponse *res )
{
    res->setStatus( QHttpServletResponse::StatusOk );

    DocWriter dw( res->outputStream() );
    dw.startDoc( QString("%1 Servlet").arg(servletInfo()) );
    
    dw.startSection( "Request Info" );
    dw.pre( req->dump() );
    dw.endSection();
    
    dw.startSection("Init Parameters");
    QStringList names = servletConfig()->initParameterNames();
    dw.pre( names.join("\n") );
    dw.endSection();
    
    dw.endDoc();
    
    return true;
}


QDateTime EchoServlet::lastModified( QHttpServletRequest */*req*/ )
{
   return QDateTime::currentDateTime();
}

