// -*- c++ -*-

#ifndef FILESERVLET_H
#define FILESERVLET_H

#include <qhttpservlet.h>

/**
 * A servlet that can serve files.
 *
 * @author Richard Moore
 */
class FileServlet : public QHttpServlet
{
public: 
    FileServlet( QServletConfig *cfg );
    ~FileServlet();

    /** Servers the specified file. */
    bool serveFile( const QString &path, QHttpServletResponse *res );

    /** Serves the specified directory. */
    bool serveDirectory( const QString &path, QHttpServletResponse *res );

protected:
    virtual bool doGet( QHttpServletRequest *req, QHttpServletResponse *res );
};

#endif

// Local Variables:
// c-basic-offset: 3
// End:
