// -*- c++ -*-

#ifndef QCOOKIE_H
#define QCOOKIE_H

#include <qservletbase.h>

/**
 * Represents an HTTP cookie.
 *
 * @author Richard Moore
 */
class QCookie : public QServletBase
{
public:
   QCookie( const QCookie &c );
   QCookie( const QString &name, const QString &value );
   ~QCookie();

   QString comment() const { return com; }
   void setComment( const QString &s ) { com = s; }
   
   QString domain() const { return dom; }
   void setDomain( const QString &dm ) { dom = dm; }
   
   int maxAge() const { return maxage; }
   void setMaxAge( int age ) { maxage = age; }
   
   QString name() const { return nm; }
   void setName( const QString &name ) { nm = name; }
   
   QString path() const { return pth; }
   void setPath( const QString &path ) { pth = path; }
   
   bool isSecure() const { return secure; }
   void setSecure( bool yes ) { secure = yes; }
   
   QString value() const { return val; }
   void setValue( const QString &value ) { val = value; }
   
   int version() const { return ver; }
   void setVersion( int version ) { ver = version; }
   
private:
   QString com;
   QString dom;
   int maxage;
   QString nm;
   QString pth;
   bool secure;
   QString val;
   int ver;
};

#endif
