// -*- c++ -*-

#ifndef QHTTPSERVER_H
#define QHTTPSERVER_H

#include <qserversocket.h>

class QHttpServletRunner;

/**
 * Simple HTTP server for running servlets.
 *
 * @author Richard Moore
 */
class QHttpServer : public QServerSocket
{
   Q_OBJECT
  
public: 
    QHttpServer( int port=8080 );
    virtual ~QHttpServer();
    
    void setupServlets();
    bool loadSettings( const QString &filename );

    virtual void newConnection( int socket );

signals:
    void newConnect();
    void endConnect();
    void wroteToClient();

private slots:
    void readClient();
    void discardClient();

private:
   int port;
   QString name;
   QHttpServletRunner *run;
};

#endif
