// -*- c++ -*-

#ifndef QSERVLET_H
#define QSERVLET_H

#include <qstring.h>
#include <qservletbase.h>

class QServletConfig;
class QServletRequest;
class QServletResponse;

/**
 * Abstract base class of all servlets.
 */
class QServlet : public QServletBase
{
public:
	QServlet( QServletConfig *cfg, const char *info=0 );
   virtual ~QServlet();

   /** Returns the configuration of the servlet. */
   QServletConfig *servletConfig() { return cfg; }
   
   /** Returns a string containing information about the servlet. */
   QString servletInfo() { return QString(srvInfo?srvInfo:"unknown"); }

   /** 
    * Called to service a ServletRequest. Returns true if the request
    * was successful, false otherwise.
    */
   virtual bool service( QServletRequest */*req*/, QServletResponse */*res*/ ) { return false; }

private:
   QServletConfig *cfg;
   QString srvInfo;
   class QServletPrivate *d;
};

#endif // QSERVLET_H

// Local Variables:
// c-basic-offset: 3
// End:

