// -*- c++ -*-

#ifndef QSERVLETBASE_H
#define QSERVLETBASE_H

#include <qstring.h>

/**
 * @mainpage
 *
 * <h3>Abstract Servlet API</h3>
 * Generic api for servlets. These classes define a protocol independent interface
 * for servlets.
 * <ul>
 * <li>QServlet
 * <li>QServletRequest
 * <li>QServletResponse
 * <li>QServletContext
 * <li>QServletConfig
 * </ul>
 *
 * <h3>HTTP Servlet API</h3>
 * An api for HTTP servlets.
 * <ul>
 * <li>QHttpServlet
 * <li>QHttpServletRequest
 * <li>QHttpServletResponse
 * <li>QHttpSession
 * <li>QCookie
 * </ul>
 *
 * <h3>Servlet Server</h3>
 * An HTTP server that uses servlets to service requests.
 * <ul>
 * <li>QHttpServer
 * <li>QHttpServletRunner
 * <li>EchoServlet
 * <li>FileServlet
 * <li>DocWriter
 * </ul>
 *
 * <h3>Missing base functionality</h3>
 * <ul>
 * <li>Finish HTTP status code enum.
 * <li>Connect session class to an implementation.
 * <li>Add cookie support to requests and responses.
 * <li>Datetime format is not correct.
 * <li>findSession()
 * </ul>
 */

/**
 * An abstract base class used to define a namespace for the QServlet API.
 */
class QServletBase
{
public:
};

#endif // QSERVLETBASE_H

// Local Variables:
// c-basic-offset: 3
// End:

