// -*- c++ -*-

#ifndef QSERVLETCONFIG_H
#define QSERVLETCONFIG_H

#include <qmap.h>
#include <qstring.h>
#include <qstringlist.h>

#include <qservletbase.h>

class QServletContext;

/**
 * Provides access to server defined configuration information.
 */
class QServletConfig : public QServletBase
{
public:
   QServletConfig( QServletContext *ctx );
   virtual ~QServletConfig();

   /** Sets an init parameter. */
   void setInitParameter( const QString &name, const QString &value );
   
   /** Returns the value of the named initialisation parameter. */
   QString initParameter( const QString &name );
   
   /** Returns the names of the initialisation parameters. */
   QStringList initParameterNames();

   /** Returns the context of the servlet. */
   QServletContext *servletContext() const { return ctx; }

private:
   QServletContext *ctx;
   QStringList names;
   QMap<QString,QString> params;
   class QServletConfigPrivate *d;
};

#endif // QSERVLETCONFIG_H

// Local Variables:
// c-basic-offset: 3
// End:

