#include <stdio.h>
#include <stdlib.h>

#include <qapplication.h>
#include <qfile.h>
#include <qtextstream.h>

#include <qservletconfig.h>
#include <qservletcontext.h>
#include <qhttpservletrunner.h>
#include <qhttpserver.h>

#include "echoservlet.h"

int run_stdio( int argc, char **argv )
{
   QApplication a(argc, argv, false);

   // Create runner and add servlet
   QHttpServletRunner *run = new QHttpServletRunner;

   QServletConfig *cfg = new QServletConfig( run->context() );
   QHttpServlet *sv = new EchoServlet( cfg );
   run->addServlet( "/", sv );

   // Create and process request
   QTextIStream in( stdin );
   QHttpServletRequest *req = run->createRequest( &in );

   QFile out;
   out.open( IO_WriteOnly, stdout );
   QHttpServletResponse *res = run->createResponse( &out, req );

   bool ok = run->processRequest( req, res );

   if ( !ok )
      return 1;

   return 0;
}

int run_listen( int argc, char **argv )
{
   QApplication a(argc, argv, false);
   int port = 8080;
   if ( argc == 3 ) {
      QString ps(argv[2]);
      bool ok;
      port = ps.toInt( &ok );
      if ( !ok ) {
        // error
        exit(3);
      }
   }
   /*QHttpServer *http = */ new QHttpServer( port );
   a.exec();
   return 0;
}
  
int main( int argc, char **argv )
{
   if ( argc < 2 ) {
      printf("Usage:\n");
      printf("   %s <cmd> <args>\n\n", argv[0]);
      printf("Available commands:\n");
      printf("   stdio            Processes HTTP requests using stdin and stdout.\n");
      printf("   listen <port>    Processes HTTP requests on the specified port.\n");
      exit(1);
   }

   if ( !strcmp(argv[1], "stdio") )
      return run_stdio( argc, argv );
   else if ( !strcmp(argv[1], "listen") )
      return run_listen( argc, argv );
      
   return 255;
}


// Local Variables:
// c-basic-offset: 3
// End:
